import React from 'react'
import './style.scss'

import {
  Grid,
  Cell
} from 'react-mdl'

export default class CarmelComponent extends React.Component {

  get content () {
    var features = []
    var index = 0

    Object.keys(this.props.features).forEach(featureKey => {
      const feature = this.props.features[featureKey]
      features.push(<Cell col={4} phone={12} key={index++} styleName="feature">
        <img src={ feature.icon }/>
        <h1> { this.props.text[feature.title] } </h1>
        <p> { this.props.text[feature.summary] } </p>
      </Cell>)
    })
    return features
  }

  render () {
    return (
        <div styleName="container">
          <Grid styleName="content">
            { this.content }
          </Grid>
        </div>
    )
  }
}
